%define pkg_name        Plucene-Plugin-Analyzer-SnowballAnalyzer
%define pkg_version     1.1
%define rpm_pkg_version 1.1
%define rpm_pkg_release 2.n0i.2

Summary:       Stemmed analyzer for Plucene
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FA/FABPOT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Plucene::Analysis::Analyzer)
BuildRequires: perl(Plucene::Analysis::TokenFilter)
BuildRequires: perl(Lingua::Stem::Snowball)
BuildRequires: perl(Lingua::StopWords)
Requires:      perl(Plucene::Analysis::Analyzer)
Requires:      perl(Plucene::Analysis::TokenFilter)


%description
Plucene::Plugin::Analyzer::SnowballAnalyzer - Stemmed analyzer with
Lingua::Stem::Snowball and Lingua::StopWords


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 1.1-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 1.1-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
